+++
title = "So why do I need a backup?"
description = "Because RAID protects you against one and only one specific thing: disk failures."
weight = 2
type = "post"
+++

Having a number of disks in RAID may _seem_ like a backup, especially if you're using a mirrored RAID mode like RAID-1 or RAID-10. But this is _wrong_!

RAID protects you against one and only one thing: a disk failure. It does _not_ protect you against any of the following things:

* Multiple disk failures beyond the RAID level chosen (e.g. both disks in a mirror, or 3 disks in a RAID-6), including possible [UREs](https://holtstrom.com/michael/blog/post/588/RAID-5-URE-Failures.html).
* Failure of the RAID controller itself (if applicable), the computer running the RAID, or the environment containing the servers (e.g. a flood, fire, or theft).
* Data corruption from filesystem bugs, cosmic rays, or minor hardware or firmware failures, which can and do happen all the time - you usually just don't notice and software works around it.
* Malicious or accidental deletion or modification of files, including by viruses, bad application writes, or administrative mistakes (e.g. `rm`-ing the wrong file or `mkfs` on an existing filesystem).

The adage is simple: "RAID replicates _everything_, instantly, even the stuff you don't want it to."
